InitIO.cpp File Reference
`#include "InitIO.h"`
`#include "DenseFieldIO.h"`
`#include "SparseFieldIO.h"`
`#include "MACFieldIO.h"`
`#include "FieldMappingIO.h"`
`#include "MIPFieldIO.h"`

Go to the source code of this file.

## Namespaces

namespace | FIELD3D_NAMESPACE_OPEN

## Functions

void | initIO ()
| Initializes the built-in Field3D IO classes.
size_t | numIOThreads ()
| Returns the number of I/O threads to use.
void | setNumIOThreads (const size_t numThreads)
| Sets the number of threads to use for I/O multi-threading.

## Variables

size_t | FIELD3D_NAMESPACE_OPEN::g_numIOThreads = 1

## Detailed Description

Contains implementation of initIO function.

Definition in file InitIO.cpp.

## Function Documentation

## setNumIOThreads()

void setNumIOThreads | ( | const size_t | numThreads | ) |

Sets the number of threads to use for I/O multi-threading.

Definition at line 85 of file InitIO.cpp.

{
g_numIOThreads = numThreads;
}
FIELD3D_NAMESPACE_OPEN::g_numIOThreads
size_t g_numIOThreads
Definition InitIO.cpp:60

## numIOThreads()

size_t numIOThreads | ( |  | ) |

Returns the number of I/O threads to use.

Definition at line 92 of file InitIO.cpp.

{
return g_numIOThreads;
}

Referenced by FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMax::MakeMinMax(), and FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::MakeMinMaxMIP().